com.trendmicro.ds.appcontrol.rest.object

## Class Ruleset

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.Ruleset

-     public class Ruleset
      extends java.lang.Object

  Details of a ruleset.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ruleset()` Create an empty ruleset.
    `Ruleset(java.util.List<Rule> rules)` Create a ruleset with the provided list of rules.
    `Ruleset(Rule... rules)` Create a ruleset with the provided list of rules.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRule(Rule rule)` Add a rule to the ruleset.
    `java.lang.String` | `getDescription()` Get the ruleset description.
    `java.lang.String` | `getName()` Get the ruleset name.
    `java.util.List<Rule>` | `getRules()` Get the list of rules in the ruleset.
    `java.lang.Long` | `getRulesetID()` Get the ruleset ID.
    `void` | `setDescription(java.lang.String description)` Set the ruleset description.
    `void` | `setName(java.lang.String name)` Set the ruleset name.
    `void` | `setRules(java.util.List<Rule> rules)` Set the list of rules in the ruleset.
    `void` | `setRulesetID(java.lang.Long rulesetID)` Set the ruleset ID.
    `Ruleset` | `withDescription(java.lang.String description)` Set the ruleset description.
    `Ruleset` | `withName(java.lang.String name)` Set the ruleset name.
    `Ruleset` | `withRules(java.util.List<Rule> rules)` Set the list of rules in the ruleset.
    `Ruleset` | `withRulesetID(java.lang.Long rulesetID)` Set the ruleset ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ruleset

          public Ruleset()

      Create an empty ruleset.

    - #### Ruleset

          public Ruleset(Rule... rules)

      Create a ruleset with the provided list of rules.
      Parameters:
        `rules` - the list of rules to include in the ruleset.

    - #### Ruleset

          public Ruleset(java.util.List<Rule> rules)

      Create a ruleset with the provided list of rules.
      Parameters:
        `rules` - the list of rules to include in the ruleset.

  - ### Method Detail

    - #### addRule

          public void addRule(Rule rule)

      Add a rule to the ruleset.
      Parameters:
        `rule` - the rule to add to the ruleset.

    - #### getRules

          public java.util.List<Rule> getRules()

      Get the list of rules in the ruleset.
      Returns:
        the list of rules in the ruleset.

    - #### setRules

          public void setRules(java.util.List<Rule> rules)

      Set the list of rules in the ruleset.
      Parameters:
        `rules` - the list of rules in the ruleset.

    - #### withRules

          public Ruleset withRules(java.util.List<Rule> rules)

      Set the list of rules in the ruleset.
      Parameters:
        `rules` - the list of rules in the ruleset.

    - #### getRulesetID

          public java.lang.Long getRulesetID()

      Get the ruleset ID.
      Returns:
        the ruleset ID.

    - #### setRulesetID

          public void setRulesetID(java.lang.Long rulesetID)

      Set the ruleset ID.
      Parameters:
        `rulesetID` - the ruleset ID.

    - #### withRulesetID

          public Ruleset withRulesetID(java.lang.Long rulesetID)

      Set the ruleset ID.
      Parameters:
        `rulesetID` - the ruleset ID.
      Returns:
        the updated Ruleset object.

    - #### getName

          public java.lang.String getName()

      Get the ruleset name.
      Returns:
        the ruleset name.

    - #### setName

          public void setName(java.lang.String name)

      Set the ruleset name.
      Parameters:
        `name` - the ruleset name.

    - #### withName

          public Ruleset withName(java.lang.String name)

      Set the ruleset name.
      Parameters:
        `name` - the ruleset name.
      Returns:
        the updated Ruleset object.

    - #### getDescription

          public java.lang.String getDescription()

      Get the ruleset description.
      Returns:
        the ruleset description.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the ruleset description.
      Parameters:
        `description` - the ruleset description.

    - #### withDescription

          public Ruleset withDescription(java.lang.String description)

      Set the ruleset description.
      Parameters:
        `description` - the ruleset description.
      Returns:
        the updated Ruleset object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.